Subject: RE: [Seamoby] Comment on CTP-09

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Thu, 6 May 2004 11:01:38 -0500

Hi James,

That makes sense. I would swap UDP with ICMP as a must, but
since I am not implementing it, I don't have that luxury :)
If you have a statement saying that UDP is another strong
option for lightweight transport of CTP, I would be happy.

Regards,

Madjid

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Tuesday, May 04, 2004 8:26 PM
To: Nakhjiri Madjid-MNAKHJI1; [email-masked]; [email-masked]
Subject: Re: [Seamoby] Comment on CTP-09

Madjid,

As John Loughney mentioned, unless there is at least one transport protocol
that is a MUST, there is a risk of an interoperability problem. Some people
don't care about transport and just want to use something that will give
them interoperability, so they can do experiments in other areas. The MUST
is for them.

In addition, the document says MAY for other transport protocols, for those
people who want to experiment specifically with transport protocols. Maybe
this needs to be made clearer?

Would that be sufficient to address your concerns?

            jak

----- Original Message ----- 
From: "Nakhjiri Madjid-MNAKHJI1" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, May 04, 2004 1:45 PM
Subject: RE: [Seamoby] Comment on CTP-09

> I don't think implementing CTP over ICMP should be a MUST.
>  None of the transport protocols were supposed to MUSTs.
>
> Madjid
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Monday, May 03, 2004 5:18 AM
> To: [email-masked]
> Subject: [Seamoby] Comment on CTP-09
>
>
> Hello
>
> As the final reviewed period is ongoing, I would like to provide following
comments to the CTP spec.
> The CTP draft states about the MN-AR transport the following:
>
> Comment 1:
>
> "3.2 MN-AR Transport
>
> The MN-AR interface MUST implement and SHOULD use ICMP for transport of
the CTAR and CTAA messages.
>   :
>   :
> Because ICMP contains no provisions for retransmitting packets if
signaling is lost, the CARD protocol incorporates
> provisions for improving transport performance on the MN-AR interface...."
>
> It is unclear to the reader why CARD protocol is referenced at this point?
Is the intention to imply piggybacking of CTP and CARD over this interface?
Plane provision of retransmission doesn't seem to be the motivation since
the CTP draft contains already similar retransmission enhancement to CARD:
>
> " CTAR messages for which a response is requested which fail to elicit a
response are retransmitted.  The initial retransmission
>    occurs after a CTP_REQUEST_RETRY wait period. Retransmissions MUST be
made with exponentially increasing wait intervals (doubling the
>    wait each time).  CTAR messages should be retransmitted until ether a
response (which might be an error) has been obtained, or
>    for CTP_RETRY_MAX seconds occurs."
>
> In  the CARD draft, section 4.4, there is identical method provided.
Hardly the intention is to run double retransmission scheme. So, it appears
that the CTP is self-contained regarding to the retransmission and doesn't
require any implementation of CARD to be functional. Right?
>
> Suggestion:
>
> - either to remove the reference to CARD, or add wording to explain what
is meant by the CARD reference.
>
> Comment 2 (minor/editorial) to section 2.5.1
>
> The MN MUST sent the sequence number to the same value for the message
sent on both pAR and nAR so pAR can determine whether to use a cached
message.
>
> change to
> => The MN MUST set the sequence number  ....
>
>
> Regards Hannu
>
> _______________________________________________
> Seamoby mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/seamoby
>
> _______________________________________________
> Seamoby mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/seamoby
>

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby